<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<title>Software Engineering Codes of Ethics and Professional Practice</title>
</head>

<body>

	<h4><i>Science and Engineering Ethics(2001)7,231-238</i></h4>
<hr/>


	<h1>Software Engineering Codes of Ethics and Professional Practice</h1>
	

	<h3>IEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>

	<hr/>

	<h4><strong>Keywords:</strong>code of ethics,professional responsibility,software engineering</h4>

	<h3><strong>PREAMBLE</strong></h3>


		<p>The short version of the code summarizes aspirations at high level of absatractions.The clause that are included in the full version give examples and details of how this aspirations change the way we act as software engineering professionals.Without the aspirations,the details can become legalistic and tedious; without the details, the aspirationss can become high-sounding but empty; together,the aspirations and the details form a cohesive code.
		</p>
	
		<p>Software engineers shall commit themselves to making the analysis,specification,design,development,testing, and maintenance of software a benificial and respected professions. In accordance with their commitment to the health, safety, and welfare of the publicm software engireers shall adhere to the following eight Principles:</p>

		<h3><strong>Principles</strong></h3>

		<ol>
			<li>
				<i>Public.</i>Software engineers shall act consistently with the public interest.
			</li>

			<li>
				<i>Client and employer.</i>Software engineers shall act in manner that is in the best interests of their client and employers,consistent with the public interest.
			</li>

			<li>
				<i>Product.</i> Software engineers shall ensure that their products and related modifacations meet the highest professional standrards possible.

			</li>

			<li>
				<i>Judgement.</i>Software engineers shall maintain integrity and independence in their professional judgement.
			</li>

			<li>
				<i>Management.</i>Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of softwared development and maintenance.

			</li>

			<li>
				<i>Profession.</i> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.
			</li>

			<li>
				<i>Colleagues.</i> Software engineers shall be fair to and supportive of their colleagues.
			</li>

			<li>
				<i>Self.</i> Software engineers participate in lifelong learning regarding the practice of their profession and shall promote and ethical approach to the practice of the profession.
			</li>
		</ol>

</body>
</html>